xcb_ungrab_key(3)

NAME
xcb_ungrab_key - release a key combination

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_ungrab_key(xcb_connection_t *conn, xcb_keycode_t key, xcb_window_t grab_window, uint16_t modifiers);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

key The keycode of the specified key combination. Using the special value XCB_GRAB_ANY means releasing all possible key codes.

grab_window
    The window on which the grabbed key combination will be released.

modifiers
    The modifiers of the specified key combination. Using the special value XCB_MOD_MASK_ANY means releasing the key combination with every possible modifier combination.

DESCRIPTION
Releases the key combination on grab_window if you grabbed it using xcb_grab_key before.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_ungrab_key_checked. See xcb-requests(3) for details.

ERRORS

xcb_value_error_t
    TODO: reasons?

xcb_window_error_t
    The specified grab_window does not exist.

SEE ALSO
xcb-requests(3), xcb_grab_key(3), xev(1)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.